<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "parent rule 1: ZOOM[0.0-0.8x)">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "0.8"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule 1: ZOOM[0.8-1.0x)">
        <condition name = "ZOOM_RATIO" min = "0.8" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "parent rule 1: ZOOM[1.0-3.09x)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "3.09"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule 2: ZOOM[3.09-3.5x)">
        <condition name = "ZOOM_RATIO" min = "3.09" max = "3.5"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </outState>
    </rule>

    <rule name = "parent rule 3: ZOOM[3.5-100.0x)">
        <condition name = "ZOOM_RATIO" min = "3.5" max = "100.0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
    </rule>
</MultiCameraConfigTable>